## hcloud primary-ip

Manage Primary IPs

### Options

```
  -h, --help   help for primary-ip
```

### Options inherited from parent commands

```
      --config string              Config file path (default "~/.config/hcloud/cli.toml")
      --context string             Currently active context
      --debug                      Enable debug output
      --debug-file string          File to write debug output to
      --endpoint string            Hetzner Cloud API endpoint (default "https://api.hetzner.cloud/v1")
      --hetzner-endpoint string    Hetzner API endpoint (default "https://api.hetzner.com/v1")
      --no-experimental-warnings   If true, experimental warnings are not shown
      --poll-interval duration     Interval at which to poll information, for example action progress (default 500ms)
      --quiet                      If true, only print error messages
```

### SEE ALSO

* [hcloud](hcloud.md)	 - Hetzner Cloud CLI
* [hcloud primary-ip add-label](hcloud_primary-ip_add-label.md)	 - Add a label to a Primary IP
* [hcloud primary-ip assign](hcloud_primary-ip_assign.md)	 - Assign a Primary IP to an assignee (usually a Server)
* [hcloud primary-ip create](hcloud_primary-ip_create.md)	 - Create a Primary IP
* [hcloud primary-ip delete](hcloud_primary-ip_delete.md)	 - Delete a Primary IP
* [hcloud primary-ip describe](hcloud_primary-ip_describe.md)	 - Describe a Primary IP
* [hcloud primary-ip disable-protection](hcloud_primary-ip_disable-protection.md)	 - Disable resource protection for a Primary IP
* [hcloud primary-ip enable-protection](hcloud_primary-ip_enable-protection.md)	 - Enable resource protection for a Primary IP
* [hcloud primary-ip list](hcloud_primary-ip_list.md)	 - List Primary IPs
* [hcloud primary-ip remove-label](hcloud_primary-ip_remove-label.md)	 - Remove a label from a Primary IP
* [hcloud primary-ip set-rdns](hcloud_primary-ip_set-rdns.md)	 - Change reverse DNS of a Primary IP
* [hcloud primary-ip unassign](hcloud_primary-ip_unassign.md)	 - Unassign a Primary IP from an assignee (usually a server)
* [hcloud primary-ip update](hcloud_primary-ip_update.md)	 - Update a Primary IP
